コンタクトの全ての配信をバッチで停止
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all"
payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};
fetch('https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}一括
Batch unsubscribe contacts from all subscriptions
一連のコンタクトの全てのEメールの配信を停止します。
POST
/
communication-preferences
/
v4
/
statuses
/
batch
/
unsubscribe-all
コンタクトの全ての配信をバッチで停止
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
配信停止するコミュニケーションチャネル。このパラメーターは必須であり、「EMAIL」である必要があります。
利用可能なオプション:
EMAIL 処理が適用されるビジネスユニットのID。これは任意のパラメーターです。
レスポンスに詳細な処理情報を含めるかどうかを示すブール値。デフォルトはfalseです。
ボディ
application/json
バッチ処理の入力を表す文字列のリスト。
レスポンス
successful operation
一括オプトアウト処理が完了した日時。
全てのコミュニケーション処理からの一括オプトアウトの結果を含む配列。
Show child attributes
Show child attributes
一括オプトアウト処理が始まった日時。
一括オプトアウト処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING 一括オプトアウト処理中に発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
Show child attributes
関連するリソースやドキュメントにリンクしているURLのコレクション。
Show child attributes
Show child attributes
一括オプトアウト中に発生したエラー数の合計。
一括オプトアウトのリクエストが行われた日時。
最終更新日 2026年4月10日
Batch retrieve contacts who have opted out of all communications
前へ
Batch update subscription status
次へ
⌘I